Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002856TestLinkUser Interface Generalpublic2009-09-25 16:202014-08-21 07:46
Reportercschmutz 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
Platformi86OSWindows XPOS VersionSP2
Product Version1.8 RC 3 
Fixed in Version1.9.12 (2014 Q3) 
Summary0002856: Testcases to multiple users
DescriptionIt should be possible to assign all oder selected test suites to more than one testperson. Default should be all. The selection of users should be changed. Its a really long operation to assign eacht testsuite to single users. thx.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserIE6, 7, firefox 3.53
PHP Version5
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
duplicate of 0001329closedfman Create/Assign to User Groups 
related to 0006517closedfman Possibility to assign Test cases to multiple users 

-  Notes
(0007999)
fman (administrator)
2009-09-25 23:48

request is not clear, right now assign to several people is not allowed, in future may be groups will be implemented
(0008004)
mhavlat (reporter)
2009-09-26 20:10

Some metrics are related to testers. How it should work?
Anyway, if you assign TC to three people. Tester will not care about it as he think that two others can test it instead of himself. What is difference if nobody is assigned then?
(0008005)
cschmutz (reporter)
2009-09-28 15:19

hi, it could be a good approach to implement "groups of tester people". The problem is to assign a testsuite to more than one people. Now in TL1.8.3 the testsuite must be copied again and again, until each tester is ready to execute their tests. Normally more than one tester should do the same testcases, so it will be much more easier to "mark" (assign) the tests which should be done by more (default) all test - users of a single Test project. thx Christian
(0008026)
jshutt (reporter)
2009-10-01 02:03

It would be pretty fantastic to be able to assign multiple testers to a specific TC. We have a situation where all are expected to test every case and report their results. Then, we need to be able to see metrics on who failed it and who passed it, plus what they did. Assigning a TC to just one person to test and having to copy that won't give us those statistics.
(0008635)
Jgaudreau (reporter)
2010-01-11 21:37
edited on: 2010-01-11 23:22

Being able to assign all Test Cases for all testers would really be a great add-on to Test Link. For example, let's say one Test Case requires the testers to check the texts of a Menu in 6 different languages, which means 6 testers would need to check the exact same test case.

Since there is no ways presently to assign a Test to more than one tester, the only way would be to create one Test Suite for all languages, which would be very time consuming.
Also, if a large amount of testers were assigned to the Test Project, assigning Test Cases to each of these testers would be VERY long. Imagine how it would be long to assign Test Cases to a team of 60 testers with Test Suites of over 200 Test Cases, that would really be very, very time consuming.

(0011915)
rwightman (reporter)
2010-10-15 00:55

I agree that this would be a very useful feature. I have just started using Testlink recently and this limitation is already causing problems.

I need to be able to assign certain test cases to several different users for testing in parallel. The goal is to get better coverage on high risk features.

I do not believe this is a duplicate of issue#1329. Assigning to a group is different. Responsibility can get lost in a group, where as if a test case is assigned to multiple, specific users, they are all clearly each responsible for executing those test cases.

The metrics should also show the results from each assigned user that ran the test cases. As someone else mentioned, this is much more useful and powerful than copying test cases and having the statistics split up.
(0011925)
Julian (reporter)
2010-10-15 18:00
edited on: 2010-10-18 19:38

will make things uselessly complicated

workaround:
use platform feature to achieve goal

without real platforms -> misuse platforms:
- regression tests 1
- regression tests 2
- regression tests 3

allows to assign same test cases to different users, for different platforms

no difference if platforms are used:
regression tests windows 1
regression tests windows 2
regression tests linux 1
regression tests linux 2

(0011959)
rwightman (reporter)
2010-10-18 19:31

Abusing an existing feature to work around the lack of another feature doesn't seem like a good idea or a reasonable work around. I already have enough platforms to represent the various combinations of hardware/OS configurations being tested with. Duplicating those to support multiple assignments would be a complete mess.

I don't see how adding support for multiple assignments would uselessly complicate the interface. Maybe the implementation is complex, but that's not a reason to discount a feature that numerous people find useful.

Other tools provide it and many organizations have a valid testing workflow which requires it.
(0011960)
Julian (reporter)
2010-10-18 19:35

workaround exists - feature is out of interest for dev team (at least right now)

write a detailed analysis of work that has to be done and dont expect we are only here to fulfill anybodys wishes who believes other tools are better - if so use them.

- Issue History
Date Modified Username Field Change
2009-09-25 16:20 cschmutz New Issue
2009-09-25 16:20 cschmutz Browser => IE6, 7, firefox 3.53
2009-09-25 16:20 cschmutz PHP Version => 5
2009-09-25 23:48 fman Note Added: 0007999
2009-09-26 20:04 mhavlat Relationship added duplicate of 0001329
2009-09-26 20:10 mhavlat Note Added: 0008004
2009-09-26 20:10 mhavlat Status new => feedback
2009-09-28 15:19 cschmutz Note Added: 0008005
2009-10-01 02:03 jshutt Note Added: 0008026
2010-01-11 21:37 Jgaudreau Note Added: 0008635
2010-01-11 23:22 Jgaudreau Note Edited: 0008635
2010-10-15 00:55 rwightman Note Added: 0011915
2010-10-15 18:00 Julian Note Added: 0011925
2010-10-18 19:31 rwightman Note Added: 0011959
2010-10-18 19:35 Julian Note Added: 0011960
2010-10-18 19:38 Julian Note Edited: 0011925 View Revisions
2014-08-18 15:47 fman Issue cloned: 0006517
2014-08-18 15:47 fman Relationship added related to 0006517
2014-08-21 07:46 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-08-21 07:46 fman Status feedback => closed
2014-08-21 07:46 fman Assigned To => fman
2014-08-21 07:46 fman Resolution open => fixed
2014-08-21 07:46 fman Fixed in Version => 1.9.12 (2014 Q3)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker